version: "3.7"

services:
  app_proxy:
    environment:
      APP_HOST: romm_server_1
      APP_PORT: 8080
      PROXY_AUTH_ADD: "false"

  server:
    user: "1000:1000"
    image: rommapp/romm:4.8.1@sha256:2b7a1714b287f69b081ad2a63bb8c2fa673666a17b2f21322b580b0cd51cb266
    volumes:
      - ${APP_DATA_DIR}/data/resources:/romm/resources
      - ${APP_DATA_DIR}/data/redis:/redis-data
      - ${APP_DATA_DIR}/data/library:/romm/library
      - ${APP_DATA_DIR}/data/assets:/romm/assets
      - ${APP_DATA_DIR}/data/config:/romm/config
    restart: on-failure
    depends_on:
      db:
        condition: service_healthy
    environment:
      - DB_HOST=romm_db_1
      - DB_NAME=romm
      - DB_USER=romm-user
      - DB_PASSWD=moneyprintergobrr
      - ROMM_AUTH_SECRET_KEY=${APP_SEED}
      # По состоянию на 17 февраля 2025 года ключи API нельзя добавлять через веб-интерфейс, их необходимо добавить в файл создания здесь.
      #- IGDB_CLIENT_ID=    # Создайте ID и SECRET в IGDB.
      #- IGDB_CLIENT_SECRET=    # https://api-docs.igdb.com/#account-creation
      #- MOBYGAMES_API_KEY=    # https://www.mobygames.com/info/api/
      #- STEAMGRIDDB_API_KEY=    # https://github.com/rommapp/romm/wiki/Generate-API-Keys#steamgriddb

  db:
    user: "1000:1000"
    image: mariadb:11.4.5@sha256:5dfb3093333fa0ea53194ddef0a2bfa21d3b1e1353bd228b22610cd6fc0c04da
    restart: on-failure
    environment:
      - MARIADB_ROOT_PASSWORD=dfwebos
      - MARIADB_DATABASE=romm
      - MARIADB_USER=romm-user
      - MARIADB_PASSWORD=moneyprintergobrr
    volumes:
      - ${APP_DATA_DIR}/data/db:/var/lib/mysql
    healthcheck:
      test: ["CMD", "healthcheck.sh", "--connect", "--innodb_initialized"]
      start_period: 30s
      interval: 10s
      timeout: 5s
      retries: 5
